libmpdclient 2.9

- Main Page
- Classes
- Files

- File List
- File Members

Enumerations
error.h File Reference

MPD client library. More...

Go to the source code of this file.

## Enumerations
enum | mpd_error { MPD_ERROR_SUCCESS = 0, MPD_ERROR_OOM, MPD_ERROR_ARGUMENT, MPD_ERROR_STATE, MPD_ERROR_TIMEOUT, MPD_ERROR_SYSTEM, MPD_ERROR_RESOLVER, MPD_ERROR_MALFORMED, MPD_ERROR_CLOSED, MPD_ERROR_SERVER }

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h or mpd/async.h instead.

Definition in file error.h.

## Enumeration Type Documentation

enum mpd_error

Enumerator
MPD_ERROR_SUCCESS | no error
MPD_ERROR_OOM | out of memory
MPD_ERROR_ARGUMENT | a function was called with an unrecognized or invalid argument
MPD_ERROR_STATE | a function was called which is not available in the current state of libmpdclient
MPD_ERROR_TIMEOUT | timeout trying to talk to mpd
MPD_ERROR_SYSTEM | system error
MPD_ERROR_RESOLVER | unknown host
MPD_ERROR_MALFORMED | malformed response received from MPD
MPD_ERROR_CLOSED | connection closed by mpd
MPD_ERROR_SERVER | The server has returned an error code, which can be queried with mpd_connection_get_server_error().

Definition at line 39 of file error.h.